<div class="map-component-container">
  <div class="map-filters-container">
    <div class="map-filters" >
      <mat-form-field appearance="outline">
        <mat-label>{{"Farm"}}</mat-label>
        <mat-select [formControl]="farmFilterControl" disableOptionCentering>
          <mat-option [value]="null">
            {{'Not selected'}}
          </mat-option>
          <mat-option *ngFor="let farm of $farms | async" [value]="farm.id">
            {{farm.name}}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <div>filter 2</div>
      <div>filter 3</div>
    </div>

  </div>
  <div class="map-and-information-container">
    <div class="map-container">
      <google-map (mapClick)="onMapClick($event)" (zoomChanged)="hideMarkers()" [height]="'100%'" [options]="options"
                  [width]="'100%'">
        <ng-container *ngIf="$companyUser | async as companyUser">
          <ng-container *ngFor="let field of $filteredMapFields | async">
            <map-polygon (polygonClick)="openInfoWindow(field, $event)"
                         [options]="field.googlePolygon"
                         [paths]="field.googlePolygon.paths">
              <map-info-window>
                <div class="info-window-content">
                  <div class="info-window-actions">
                    <button [routerLink]="['/home/field', field.id]" class="field-name"
                            mat-button>
                      {{field.name}}
                    </button>
                    <button (click)="onEditPolygon(field.id); closeInfoWindows()"
                            *ngIf="!getPolygonEditable(field.id)"
                            class="small-icon-button" mat-icon-button>
                      <mat-icon>edit</mat-icon>
                    </button>
                    <button (click)="finishPolygonUpdate(field.companyFarmId, field.id, companyUser.id)"
                            *ngIf="getPolygonEditable(field.id)"
                            class="small-icon-button" mat-icon-button>
                      <mat-icon>save</mat-icon>
                    </button>
                  </div>
                  <div *ngFor="let device of field.devices">
                    <div class="device-container">
                      <div class="device-name">
                        {{device.name}}
                      </div>
                      <div class="device-data-notes">
                        {{'(Sensor 1 Sensor 2/°C/Battery)'}}
                      </div>
                    </div>
                    <div *ngFor="let data of device.deviceData">
                      <div class="device-data">
                        <div> {{data.timeStamp | date: 'MMM d, HH:mm'}} </div>
                        <div> {{data.sensor1}}{{'%'}} </div>
                        <div> {{data.sensor2}}{{'%'}} </div>
                        <div> {{data.temperature}}{{'°C'}} </div>
                        <div> {{data.batteryLevel}}{{'%'}} </div>
                      </div>
                    </div>
                  </div>

                </div>
              </map-info-window>
              <map-marker
                *ngIf="field.devices.length !== 0"
                [clickable]="false"
                [icon]="getIcon(field.percentage, 0.20)"
                [position]="getPolyCenter(field.googlePolygon)"
                [visible]="!(mapRef.googleMap.getZoom() < 6)"
              >

              </map-marker>
            </map-polygon>
          </ng-container>
        </ng-container>
      </google-map>
    </div>

    <div class="information-container">
      <div *ngIf="selectedField">
        <app-map-field-details [field]="selectedField">
        </app-map-field-details>
      </div>
      <ng-container *ngIf="this.selectedFarm.length !== 0">
        <div *ngFor="let field of selectedFarm">{{field.name}}{{'  '}}{{field.companyFarmId}}</div>
      </ng-container>
    </div>
  </div>
</div>

